ALTER TABLE DATOTEKE_PLOVIL
ADD FILE_REFERENCE VARCHAR2(20 CHAR);

CREATE OR REPLACE VIEW V_DATOTEKE_PLOVIL AS (
SELECT D.ID_DATOTEKE_PLOVIL, D.ZAPOREDNA, D.ID, D.DOKUMENT, D.DATOTEKA, D.TIP, D.GRUPA, D.VALID,
D.KOMENTAR, D.AVTOR, D.DATUM, D.USER_KREIRANJA, D.DATUM_KREIRANJA, D.USER_SPREMEMBE, D.DATUM_SPREMEMBE, D.STATUS, D.FILE_REFERENCE,
N.OPIS AS NNSTOFILTER_OPIS, P.IME AS PLOVILA_IME,
NT.SIFRA AS NNTIPPRILOGE_SIFRA, NT.OPIS AS NNTIPPRILOGE_OPIS, D.DOCUMENTTYPE, D.ISSUER, D.DATEISSUE, CASE WHEN EXISTS (SELECT 1 FROM DATOTEKE_PLOVIL D2 WHERE D2.ID = D.ID AND D.ZAPOREDNA =
(SELECT MAX(D3.ZAPOREDNA) FROM DATOTEKE_PLOVIL D3 WHERE D3.ID = D.ID AND D3.DOCUMENTTYPE = D.DOCUMENTTYPE)) THEN 'Y' ELSE 'N' END AS LATEST_BY_DOCUMENTTYPE
FROM DATOTEKE_PLOVIL D
LEFT OUTER JOIN NNSTOFILTER N ON N.ID = D.GRUPA
LEFT OUTER JOIN NNTIPPRILOGE NT ON NT.SIFRA = D.DOCUMENTTYPE
LEFT OUTER JOIN PLOVILA P ON P.ID = D.ID
);

ALTER TABLE DATOTEKE_KUPCEV
ADD FILE_REFERENCE VARCHAR2(20 CHAR);

CREATE OR REPLACE VIEW V_DATOTEKE_KUPCEV AS (
SELECT D.ID_DATOTEKE_KUPCEV, D.ID_KUPCA, D.VRSTA, D.DATOTEKA, D.IME_DATOTEKE, D.KONCNICA, D.KOMENTAR, D.USER_KREIRANJA, D.DATUM_KREIRANJA, 
D.USER_SPREMEMBE, D.DATUM_SPREMEMBE, D.STATUS, D.VALID, D.FILE_REFERENCE,
N.OPIS AS VRSTA_OPIS, N.INTERNI_OPIS AS VRSTA_INTERNI_OPIS, K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME, K.ID_MEMBER AS KUPCI_ID_MEMBER
FROM DATOTEKE_KUPCEV D
LEFT OUTER JOIN NNDATOTEKE_KUPCEV_VRSTA N ON N.SIFRA = D.VRSTA
LEFT OUTER JOIN KUPCI K ON K.ID = D.ID_KUPCA
);

ALTER TABLE DATOTEKE_PRIVEZOV
ADD FILE_REFERENCE VARCHAR2(20 CHAR);

CREATE OR REPLACE VIEW V_DATOTEKE_PRIVEZOV AS (
SELECT D.ID_DATOTEKE_PRIVEZOV, D.ID_PRIVEZ, D.DATOTEKA, D.IME_DATOTEKE, D.KONCNICA, D.KOMENTAR, D.USER_KREIRANJA, D.DATUM_KREIRANJA, D.USER_SPREMEMBE, 
D.DATUM_SPREMEMBE, D.STATUS, D.VALID, D.FILE_REFERENCE,
N.N_PRIVEZA AS NNPRIVEZ_N_PRIVEZA, N.OBJEKT AS NNPRIVEZ_OBJEKT
FROM DATOTEKE_PRIVEZOV D
LEFT OUTER JOIN NNPRIVEZ N ON N.ID_PRIVEZ = D.ID_PRIVEZ
);

ALTER TABLE EMAILS_ATTACH
ADD FILE_REFERENCE VARCHAR2(20 CHAR);

ALTER TABLE PRINT_DOK
ADD FILE_REFERENCE VARCHAR2(20 CHAR);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1125, SYSDATE, '5.5', 1045, 'Premik datotek na FS')
;
