ALTER TABLE FB_LOCATION
RENAME COLUMN ID_PRINT_DEVICE TO ID_PRINT_DEVICE_ORDER;

ALTER TABLE FB_LOCATION
RENAME CONSTRAINT FB_LOCATION_ID_PRINT_DEVICE_FK TO FB_LOCATION_ID_PD_ORDER_FK;

ALTER TABLE FB_LOCATION
RENAME COLUMN FB_ORDER_PRINT_MODULE_ID TO ID_PRINT_MODULE_ORDER;

ALTER TABLE FB_LOCATION
ADD ID_PRINT_DEVICE_INVOICE NUMBER CONSTRAINT FB_LOCATION_ID_PD_INVOICE_FK REFERENCES PRINT_DEVICE(ID_PRINT_DEVICE);

DROP VIEW V_FB_RESERVATION;

CREATE OR REPLACE VIEW V_FB_RESERVATION AS (
SELECT FR.ID_FB_RESERVATION, FR.ID_FB_TABLE, FR.ID_LASTNIKA, FR.ID_STATUS, FR.DATE_FROM, FR.DATE_TO, FR.NUMBER_OF_PERSONS, FR."COMMENT", FR.CREATED_FROM_ORDER,
FT.ID_FB_LOCATION, FT.DESCRIPTION AS TABLE_DESCRIPTION, FT.CAPACITY AS TABLE_CAPACITY, FS.DESCRIPTION AS STATUS_DESCRIPTION, FS.COLOR AS STATUS_COLOR, FS.TEXT_COLOR AS STATUS_TEXT_COLOR,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KUP.IME || ' ' || KUP.PRIIMEK) ELSE (KUP.PRIIMEK || ' ' || KUP.IME) END) AS OWNER,
(SELECT COUNT(FO.ID_FB_ORDER) FROM FB_ORDER FO WHERE FO.ID_FB_RESERVATION = FR.ID_FB_RESERVATION AND FO.ID_STATUS > 0) AS NUMBER_OF_ORDERS
FROM FB_RESERVATION FR
LEFT OUTER JOIN FB_TABLE FT ON FT.ID_FB_TABLE = FR.ID_FB_TABLE
LEFT OUTER JOIN FB_RESERVATION_STATUS FS ON FS.ID_FB_RESERVATION_STATUS = FR.ID_STATUS
LEFT OUTER JOIN KUPCI KUP ON KUP.ID = FR.ID_LASTNIKA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1578, SYSDATE, '5.5', 1498, 'FB print device')
;