ALTER TABLE VIRI 
  ADD RAZPOLOZLJIVOST NUMBER;

ALTER TABLE SERVIS_PLAN
  ADD FIXED VARCHAR2(1 CHAR) DEFAULT 'N' NOT NULL;

ALTER TABLE SERVIS_VIRI
  ADD TIMELINE NUMBER DEFAULT 1;

ALTER TABLE M_STOMAR_VIRI
  ADD TIMELINE NUMBER DEFAULT 1;

CREATE TABLE VIRI_KOLEDAR (
ID_VIRI_KOLEDAR NUMBER NOT NULL,
ID_VIRA NUMBER NOT NULL,
CAS_OD TIMESTAMP NOT NULL,
CAS_DO TIMESTAMP NOT NULL,
CONSTRAINT PK_VIRI_KOLEDAR PRIMARY KEY (ID_VIRI_KOLEDAR));

CREATE SEQUENCE ID_VIRI_KOLEDAR START WITH 1 INCREMENT BY 1;

ALTER TABLE VIRI_KOLEDAR 
ADD CONSTRAINT FK_VIRI_KOLEDAR_VIRI FOREIGN KEY (ID_VIRA)
REFERENCES VIRI (ID_VIRA);

CREATE TABLE SERVIS_PARAM (
ID_SERVIS NUMBER NOT NULL,
OPIS VARCHAR2(100 CHAR) NOT NULL,
INTERNI_OPIS VARCHAR2(100 CHAR) NOT NULL,
DAN_TEDNA_OD NUMBER NOT NULL,
DAN_TEDNA_DO NUMBER NOT NULL,
URA_OD TIMESTAMP NOT NULL,
URA_DO TIMESTAMP NOT NULL,
MALICA_OD TIMESTAMP,
MALICA_DO TIMESTAMP,
CONSTRAINT PK_SERVIS_PARAM PRIMARY KEY (ID_SERVIS)
);

CREATE SEQUENCE ID_SERVIS START WITH 1 INCREMENT BY 1;

INSERT INTO SERVIS_PARAM (ID_SERVIS, OPIS, INTERNI_OPIS, DAN_TEDNA_OD, DAN_TEDNA_DO, URA_OD, URA_DO)
VALUES
(ID_SERVIS.NEXTVAL, 'SERVICE', 'SERVICE', 1, 6, TO_DATE('08:00', 'HH24:MI'), TO_DATE('20:00', 'HH24:MI'));

CREATE TABLE SERVIS_CAS (
ID_SERVIS_CAS NUMBER NOT NULL,
ID_SERVIS NUMBER NOT NULL,
DAN NUMBER NOT NULL,
URA_OD TIMESTAMP NOT NULL,
URA_DO TIMESTAMP NOT NULL,
MALICA_OD TIMESTAMP,
MALICA_DO TIMESTAMP,
CONSTRAINT PK_SERVIS_CAS PRIMARY KEY (ID_SERVIS_CAS)
);

CREATE SEQUENCE ID_SERVIS_CAS START WITH 1 INCREMENT BY 1;

ALTER TABLE SERVIS_CAS 
ADD CONSTRAINT FK_SERVIS_CAS_SERVIS FOREIGN KEY (ID_SERVIS)
REFERENCES SERVIS (ID_SERVIS);

CREATE TABLE SERVIS_IZMENA (
ID_SERVIS_IZMENA NUMBER NOT NULL,
OPIS VARCHAR2(100 CHAR) NOT NULL,
INTERNI_OPIS VARCHAR2(100 CHAR) NOT NULL,
URA_OD TIMESTAMP NOT NULL,
URA_DO TIMESTAMP NOT NULL,
MALICA_OD TIMESTAMP,
MALICA_DO TIMESTAMP,
CONSTRAINT PK_SERVIS_IZMENA PRIMARY KEY (ID_SERVIS_IZMENA)
);

CREATE SEQUENCE ID_SERVIS_IZMENA START WITH 1 INCREMENT BY 1;

ALTER TABLE VIRI
  ADD ID_SERVIS_IZMENA NUMBER;

Insert into DATA_KEYS (IZVOR_TABELA,IZVOR_POLJE,IME_TABELE,IME_POLJA,TIP_POLJA,POLJE_OPIS,TIP_OPIS) values 
('VIRI','ID_SERVIS_IZMENA','SERVIS_IZMENA','ID_SERVIS_IZMENA','I','OPIS','S');

Insert into DATA_KEYS (IZVOR_TABELA,IZVOR_POLJE,IME_TABELE,IME_POLJA,TIP_POLJA,POLJE_OPIS,TIP_OPIS) values 
('SERVIS_CAS','ID_SERVIS','SERVIS_PARAM','ID_SERVIS','I','OPIS','S');


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (304, SYSDATE, '5.5', 224, 'PLANIRANJE');