-- Vrste dogodkov
CREATE TABLE SC_EVTYPE (
  ID INTEGER NOT NULL,
  NAME VARCHAR2(250)
);

ALTER TABLE SC_EVTYPE ADD CONSTRAINT SC_EVTYPE_PK PRIMARY KEY (ID);

ALTER TABLE SC_EVTYPE ADD CONSTRAINT SC_EVTYPE_U1 UNIQUE (NAME);

INSERT INTO SC_EVTYPE (ID, NAME) VALUES (1, 'Sailing training');

INSERT INTO SC_EVTYPE (ID, NAME) VALUES (2, 'Regatta');

INSERT INTO SC_EVTYPE (ID, NAME) VALUES (3, 'Seminar, lecture, presentation');

INSERT INTO SC_EVTYPE (ID, NAME) VALUES (4, 'Social event');

INSERT INTO SC_EVTYPE (ID, NAME) VALUES (5, 'Charter');

CREATE SEQUENCE SC_EVTYPE_SEQ START WITH 6;

-- Resource-i za vrsto dogodka
CREATE TABLE SC_EVRES (
  ID INTEGER NOT NULL,
  SC_EVTYPE_ID INTEGER NOT NULL,
  SC_RESTYPE_ID INTEGER NOT NULL
);

ALTER TABLE SC_EVRES ADD CONSTRAINT SC_EVRES_PK PRIMARY KEY (ID);

ALTER TABLE SC_EVRES ADD CONSTRAINT SC_EVRES_U1 UNIQUE (SC_EVTYPE_ID, SC_RESTYPE_ID);

ALTER TABLE SC_EVRES ADD CONSTRAINT SC_EVRES_EVTYPE_FK FOREIGN KEY (SC_EVTYPE_ID) REFERENCES SC_EVTYPE(ID);

ALTER TABLE SC_EVRES ADD CONSTRAINT SC_EVRES_RESTYPE_FK FOREIGN KEY (SC_RESTYPE_ID) REFERENCES SC_RESTYPE(ID);

INSERT INTO SC_EVRES (ID, SC_EVTYPE_ID, SC_RESTYPE_ID) VALUES (1, 1, 2);

INSERT INTO SC_EVRES (ID, SC_EVTYPE_ID, SC_RESTYPE_ID) VALUES (2, 1, 3);

INSERT INTO SC_EVRES (ID, SC_EVTYPE_ID, SC_RESTYPE_ID) VALUES (3, 1, 4);

INSERT INTO SC_EVRES (ID, SC_EVTYPE_ID, SC_RESTYPE_ID) VALUES (4, 2, 3);

INSERT INTO SC_EVRES (ID, SC_EVTYPE_ID, SC_RESTYPE_ID) VALUES (5, 2, 4);

INSERT INTO SC_EVRES (ID, SC_EVTYPE_ID, SC_RESTYPE_ID) VALUES (6, 3, 1);

INSERT INTO SC_EVRES (ID, SC_EVTYPE_ID, SC_RESTYPE_ID) VALUES (7, 3, 3);

INSERT INTO SC_EVRES (ID, SC_EVTYPE_ID, SC_RESTYPE_ID) VALUES (8, 3, 4);

INSERT INTO SC_EVRES (ID, SC_EVTYPE_ID, SC_RESTYPE_ID) VALUES (9, 4, 1);

INSERT INTO SC_EVRES (ID, SC_EVTYPE_ID, SC_RESTYPE_ID) VALUES (10, 4, 4);

INSERT INTO SC_EVRES (ID, SC_EVTYPE_ID, SC_RESTYPE_ID) VALUES (11, 5, 2);

INSERT INTO SC_EVRES (ID, SC_EVTYPE_ID, SC_RESTYPE_ID) VALUES (12, 5, 4);

CREATE SEQUENCE SC_EVRES_SEQ START WITH 13;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(454, SYSDATE, '5.5', 374, 'Sailing Training Centre');